#include "core/system/global_events.hpp"

#include "core/input/mouse.hpp"
#include "game/options.hpp"        // Para Options, options, OptionsGame, OptionsAudio
#include "game/scene_manager.hpp"  // Para SceneManager

namespace GlobalEvents {
// Comprueba los eventos que se pueden producir en cualquier sección del juego
void handle(const SDL_Event& event) {
    // Evento de salida de la aplicación
    if (event.type == SDL_EVENT_QUIT) {
        SceneManager::current = SceneManager::Scene::QUIT;
        return;
    }

    if (event.type == SDL_EVENT_RENDER_DEVICE_RESET || event.type == SDL_EVENT_RENDER_TARGETS_RESET) {
        // reLoadTextures();
    }

    Mouse::handleEvent(event);
}
}  // namespace GlobalEvents